package com.persagy.apm.energy.report.centermiddleware.service;

import com.persagy.apm.energy.report.centermiddleware.model.dto.QueryEnergyDataDTO;
import com.persagy.apm.energy.report.centermiddleware.model.dto.QueryItemInfoDTO;
import com.persagy.apm.energy.report.centermiddleware.model.vo.ProjectEERDataVo;
import io.swagger.annotations.Api;

import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;

@Api(value = "中间件service接口")
public interface ICenterMiddlewareWebService {
    /**
     * 获取分项名称
     *
     * @param queryItemInfoDTO 查询条件对象
     * @return 分项名称信息 {分项id:分项名称}
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    Map<String, String> getItemNameMap(QueryItemInfoDTO queryItemInfoDTO);

    /**
     * 获取分项能耗数据
     *
     * @param queryEnergyDataDTO 查询条件对象
     * @return 分项每月能耗信息{分项id:{时间(Date)：数据(Double)}
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    Map<String, TreeMap<Date, Double>> getItemEnergyDataMap(QueryEnergyDataDTO queryEnergyDataDTO);

    /**
     * 获取项目效率总览相关数据
     *
     * @param pjIdList   项目id殂
     * @param groupCode  集团编码
     * @param reportDate 报告月
     * @return
     */
    List<ProjectEERDataVo> getProjectEERDataList(List<String> pjIdList, String groupCode, Date reportDate);

}
