package com.persagy.apm.energy.report.common.service;

import com.persagy.apm.energy.report.common.dto.QueryPlatformParamDTO;
import com.persagy.apm.energy.report.common.vo.PlatformAreaInfoVO;
import com.persagy.apm.energy.report.monthly.config.statisticsitems.model.StatisticItems;
import io.swagger.annotations.Api;

import java.util.List;

@Api(value = "platform能源平台管理service接口")
public interface PlatformService {

    /**
     * 获取项目能源管理平台运维信息
     *
     * @param queryPlatformParamDTO 查询条件对象
     * @return
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    List<Double> getPjPlatformRate(QueryPlatformParamDTO queryPlatformParamDTO);
    /**
     * 获取大区能源管理平台运维信息
     *
     * @param statisticItems 配置的条目信息
     * @param queryPlatformParamDTO 查询条件对象
     * @return
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    PlatformAreaInfoVO getAreaPlatformRate(StatisticItems statisticItems, QueryPlatformParamDTO queryPlatformParamDTO);

}
