package com.persagy.apm.energy.report.environment.service;

import com.persagy.apm.energy.report.common.dto.QueryAreaPlatformParamDTO;
import com.persagy.apm.energy.report.common.dto.QueryPjPlatformParamDTO;
import com.persagy.apm.energy.report.environment.model.dto.BatchQueryEnvListByParamDTO;
import com.persagy.apm.energy.report.monthly.detail.business.model.Platform;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.HotelProjectKpiItem;
import io.swagger.annotations.Api;

import java.util.List;

@Api(value = "环境健康管理service接口")
public interface IEnvironmentWebService {
    /**
     * 获取项目能源管理平台运维温度达标率信息
     *
     * @param queryPjPlatformParamDTO 查询条件对象
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    void getPjTempRate(QueryPjPlatformParamDTO queryPjPlatformParamDTO, Platform platform);

    /**
     * 获取大区能源管理平台运维温度达标率信息
     *
     * @param queryAreaPlatformParamDTO 查询条件对象
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    void getAreaTempRate(QueryAreaPlatformParamDTO queryAreaPlatformParamDTO, Platform platform);

    /**
     * 获取项目环境类型达标率数据
     *
     * @param batchQueryEnvListByParamDTO 查询条件对象
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    List<HotelProjectKpiItem> getPjEnvRateInfoMap(BatchQueryEnvListByParamDTO batchQueryEnvListByParamDTO);
}
