package com.persagy.apm.energy.report.equiprunmanager.client;

import com.persagy.apm.common.response.PoemsFeignResponse;
import com.persagy.apm.energy.report.common.FeignClientNameConstants;
import com.persagy.apm.energy.report.common.FeignConfig;
import com.persagy.apm.energy.report.equiprunmanager.client.fallback.EquipRunManagerWebClientFallbackFactory;
import com.persagy.apm.energy.report.equiprunmanager.model.vo.EnergySaveWorkInfoVO;
import feign.Headers;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 高效运行feign客户端(暂时只用服务中的节能工单服务接口)
 **/
@FeignClient(name = FeignClientNameConstants.EQUIP_RUN_MANAGER, fallbackFactory = EquipRunManagerWebClientFallbackFactory.class,
        configuration = FeignConfig.class)
public interface EquipRunManagerWebClient {
    /**
     * 根据条件查询节能工单的能耗数据
     *
     * @param queryParamDTO 查询条件
     * @return 节能工单数据
     */
    @PostMapping("/Spring/MVC/entrance/unifier/getEnergyWorkDataList")
    @Headers({"Content-Type: application/x-www-form-urlencoded"})
    PoemsFeignResponse<EnergySaveWorkInfoVO> listEnergySaveWorkByParam(@RequestParam("jsonString") String queryParamDTO);


}
