package com.persagy.apm.energy.report.equiprunmanager.service.impl;

import com.alibaba.fastjson.JSON;
import com.persagy.apm.common.response.PoemsFeignResponse;
import com.persagy.apm.energy.report.equiprunmanager.client.EquipRunManagerWebClient;
import com.persagy.apm.energy.report.equiprunmanager.model.dto.QueryEnergySaveWorkerParamDTO;
import com.persagy.apm.energy.report.equiprunmanager.model.vo.EnergySaveWorkInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 高效运行feign客户端包装类
 **/
@Service
public class EquipRunManagerWebClientWrapper {
    @Autowired
    private EquipRunManagerWebClient equipRunManagerWebClient;

    /**
     * 根据工单id列表查询对应工单的节能量信息
     *
     * @param queryEnergySaveWorkerParamDTO 查询条件
     * @return
     */
    public PoemsFeignResponse<EnergySaveWorkInfoVO> listEnergySaveWorkByParam(QueryEnergySaveWorkerParamDTO queryEnergySaveWorkerParamDTO) {
        return equipRunManagerWebClient.listEnergySaveWorkByParam(JSON.toJSONString(queryEnergySaveWorkerParamDTO));
    }

}
