package com.persagy.apm.energy.report.iotdataanalysis.service;

import com.persagy.apm.energy.report.iotdataanalysis.model.AlarmInfoVo;
import com.persagy.apm.energy.report.iotdataanalysis.model.CountAndDayRateDataVo;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.HotelProjectMaintenanceBaseInfo;
import io.swagger.annotations.Api;

import java.util.Date;
import java.util.List;

@Api(value = "数据质量服务service接口")
public interface IDataAnalysisWebService {

    /**
     * 根据配置的function获取数据质量服务的配置码
     *
     * @param userId         用户id
     * @param groupCode      集团编码
     * @param functionItemId function配置项
     * @return
     */
    String getTargetCode(String userId, String groupCode, String functionItemId);

    /**
     * 获取某种配置的总计算率和天的计算率
     *
     * @param userId     用户id
     * @param groupCode  集团编码
     * @param projectId  项目id
     * @param reportDate 生成报告月
     * @param targetCode 配置码
     * @return
     */
    CountAndDayRateDataVo getIotDataAnalysisData(String userId, String groupCode, String projectId, Date reportDate, String targetCode);

    /**
     * 获取报警信息
     *
     * @param groupCode     集团编码
     * @param projectIdList 项目id列表
     * @param reportDate    生成报告月
     * @return
     */
    List<AlarmInfoVo> getAlarmInfoVo(String groupCode, List<String> projectIdList, Date reportDate);

    /**
     * 获取项目变损和总支不平衡率
     *
     * @param userId     用户id
     * @param groupCode  集团编码
     * @param projectId  项目id
     * @param reportDate 报告月
     * @return
     */
    HotelProjectMaintenanceBaseInfo getHotelProjectMaintenanceBaseInfo(String userId, String groupCode, String projectId, Date reportDate);

}
