package com.persagy.apm.energy.report.manualfilling.client;

import com.persagy.apm.common.response.PoemsFeignResponse;
import com.persagy.apm.energy.report.common.FeignClientNameConstants;
import com.persagy.apm.energy.report.common.FeignConfig;
import com.persagy.apm.energy.report.manualfilling.client.fallback.ManualFillingWebClientFallbackFactory;
import com.persagy.apm.energy.report.manualfilling.model.dto.QueryIndicatorFillingDataDTO;
import com.persagy.apm.energy.report.manualfilling.model.vo.IndicatorFillingDataVo;
import com.persagy.apm.energy.report.workorder.model.dto.QueryWorkOrderListByParamDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * 数据录入feign客户端
 **/
@FeignClient(name = FeignClientNameConstants.MANUAL_FILLING, fallbackFactory = ManualFillingWebClientFallbackFactory.class,
        configuration = FeignConfig.class)
public interface ManualFillingWebClient {

    @PostMapping("/dataFillingManage/queryIndicatorFillingData")
    PoemsFeignResponse<IndicatorFillingDataVo> listIndicatorFillingDataByParam(QueryIndicatorFillingDataDTO queryIndicatorFillingDataDTO);

}
