package com.persagy.apm.energy.report.manualfilling.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "获取能耗分项数据列表入参")
public class QueryEnergyItemDataDTO {

    @NotNull(message = "projectId不能为空")
    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;

    @ApiModelProperty(value = "集团编码")
    private String groupCode;

    @NotNull(message = "energyType不能为空")
    @ApiModelProperty(value = "能耗类型编码", required = true)
    private String energyType;

    @NotNull(message = "functionType不能为空")
    @ApiModelProperty(value = "信息点类型（0-能耗，1-费用 ，2-能耗预算，3-费用预算）", required = true)
    private String functionType;

    @NotNull(message = "startDate不能为空")
    @ApiModelProperty(value = "开始时间", required = true)
    private String startDate;

    @NotNull(message = "endDate不能为空")
    @ApiModelProperty(value = "结束时间", required = true)
    private String endDate;

}
