package com.persagy.apm.energy.report.manualfilling.model.dto;

import com.persagy.apm.energy.report.manualfilling.model.vo.EnergyItemInfoVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "保存能耗分项数据列表入参")
public class SaveEnergyItemDataDTO {
    @NotNull(message = "projectId不能为空")
    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;

    @NotNull(message = "energyType不能为空")
    @ApiModelProperty(value = "能耗类型", required = true)
    private String energyType;

    @ApiModelProperty("建筑类型（业态）")
    private String buildingType;

    @ApiModelProperty(value = "信息点类型（0-能耗，1-费用 ，2-能耗预算，3-费用预算）", required = true)
    private String functionType;

    @NotNull(message = "dataList不能为空")
    @ApiModelProperty(value = "能耗分项录入数据列表", required = true)
    private List<EnergyItemInfoVo> dataList;

}
