package com.persagy.apm.energy.report.manualfilling.service.impl;

import com.persagy.apm.common.response.PoemsFeignResponse;
import com.persagy.apm.energy.report.common.utils.DateUtils;
import com.persagy.apm.energy.report.manualfilling.client.ManualFillingWebClient;
import com.persagy.apm.energy.report.manualfilling.model.dto.QueryIndicatorFillingDataDTO;
import com.persagy.apm.energy.report.manualfilling.model.vo.IndicatorFillingDataVo;
import com.persagy.apm.energy.report.manualfilling.service.IManualFillingService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.Date;
import java.util.List;

@Service
@Slf4j
public class IManualFillingServiceImpl implements IManualFillingService {
    @Autowired
    ManualFillingWebClient ManualFillingWebClient;

    @Override
    public String getIndicatorFillingData(String pjLocalId, String indicatorId, Integer timeType, Date reportDate, Date endDate) {
        String result = "";
        try {
            QueryIndicatorFillingDataDTO queryIndicatorFillingDataDTO = new QueryIndicatorFillingDataDTO();
            queryIndicatorFillingDataDTO.setProjectId(pjLocalId);
            queryIndicatorFillingDataDTO.setIndicatorId(indicatorId);
            queryIndicatorFillingDataDTO.setTimeType(timeType);
            queryIndicatorFillingDataDTO.setStartDate(DateUtils.date2Str(reportDate, DateUtils.SDF_SECOND));
            queryIndicatorFillingDataDTO.setEndDate(DateUtils.date2Str(endDate, DateUtils.SDF_SECOND));
            PoemsFeignResponse<IndicatorFillingDataVo> response = ManualFillingWebClient.listIndicatorFillingDataByParam(queryIndicatorFillingDataDTO);
            List<IndicatorFillingDataVo> indicatorFillingDataVoList = response.getContent();
            if (!CollectionUtils.isEmpty(indicatorFillingDataVoList)) {
                for (IndicatorFillingDataVo vo : indicatorFillingDataVoList) {
                    if (DateUtils.date2Str(reportDate, DateUtils.SDF_SECOND).equals(vo.getTime())) {
                        result = vo.getData();
                        break;
                    }
                }
            }
        } catch (Exception e) {
            log.error("查询指标录入数据异常:", e);
        }
        return result;
    }
}
