package com.persagy.apm.energy.report.monthly.config.function.constant.enums;

import com.persagy.apm.common.model.annotation.SwaggerDisplayEnum;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.StringUtils;

/**
 * 能耗类型
 *
 * @author lixing
 * @version V1.0 2021/5/17 10:51 上午
 */
@SwaggerDisplayEnum
public enum EnergyTypeEnum {
    /**
     * 能耗类型
     */
    ELECTRICITY(1, "电费"),
    COLD(2, "冷"),
    HOT(3, "供暖费"),
    WATER(4, "水费"),
    GAS(5, "燃气费"),
    OIL(6,"燃油"),
    STEAM(7,"蒸汽");

    @Setter
    @Getter
    private Integer type;
    @Setter
    @Getter
    private String desc;

    EnergyTypeEnum(Integer type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    /**
     * 根据type获取到枚举对象
     *
     * @param type 报告状态编码
     * @return 能耗类型枚举对象
     * @author lixing
     * @version V1.0 2021/5/31 4:06 下午
     */
    public static EnergyTypeEnum getByType(Integer type) {
        if (type == null) {
            return null;
        }
        EnergyTypeEnum[] energyTypeEnums = EnergyTypeEnum.values();
        for (EnergyTypeEnum energyTypeEnum : energyTypeEnums) {
            if (type.equals(energyTypeEnum.getType())) {
                return energyTypeEnum;
            }
        }
        return null;
    }
}
