package com.persagy.apm.energy.report.monthly.config.function.constant.enums;

import com.persagy.apm.common.model.annotation.SwaggerDisplayEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 信息点类型
 *
 * @author lixing
 * @version V1.0 2021/5/17 10:51 上午
 */
@SwaggerDisplayEnum
public enum FunctionTypeEnum {
    /**
     * 信息点类型
     */
    ENERGY("0", "能耗"),
    COST("1", "费用"),
    ENERGY_BUDGET("2", "能耗预算"),
    COST_BUDGET("3", "费用预算");

    @Setter
    @Getter
    private String type;
    @Setter
    @Getter
    private String desc;

    FunctionTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    /**
     * 根据type获取到枚举对象
     *
     * @param type 报告状态编码
     * @return 能耗类型枚举对象
     * @author lixing
     * @version V1.0 2021/5/31 4:06 下午
     */
    public static FunctionTypeEnum getByType(String type) {
        if (type == null) {
            return null;
        }
        FunctionTypeEnum[] energyTypeEnums = FunctionTypeEnum.values();
        for (FunctionTypeEnum energyTypeEnum : energyTypeEnums) {
            if (type.equals(energyTypeEnum.getType())) {
                return energyTypeEnum;
            }
        }
        return null;
    }
}
