package com.persagy.apm.energy.report.monthly.config.function.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 能耗报告信息点(Function)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:05:35
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "能耗报告信息点")
public class Function extends AuditableEntity<Function> implements Serializable {
    private static final long serialVersionUID = 108688063917803317L;

    @ApiModelProperty("集团编码")
    private String groupCode;

    @ApiModelProperty("能耗类型")
    private String energyType;

    @ApiModelProperty("建筑类型（业态）")
    private String buildingType;

    @ApiModelProperty("信息点类型（0-能耗，1-费用 ，2-能耗预算，3-费用预算）")
    private String functionType;

    @ApiModelProperty("能耗模型编码")
    private String modelCode;

    @ApiModelProperty("分项id")
    private String itemId;

    @ApiModelProperty("function名称")
    private String name;


    public static String PROP_GROUP_CODE = "group_code";
    public static String PROP_ENERGY_TYPE = "energy_type";
    public static String PROP_BUILDING_TYPE = "building_type";
    public static String PROP_FUNCTION_TYPE = "function_type";
    public static String PROP_MODEL_CODE = "model_code";
    public static String PROP_ITEM_ID = "item_id";
    public static String PROP_NAME = "name";

}
