package com.persagy.apm.energy.report.monthly.config.function.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:05:36
 */
@Data
@ApiModel(value = "更新能耗报告信息点入参")
public class UpdateFunctionDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;

    @ApiModelProperty(value = "集团编码", required = true)
    @NotNull(message = "集团编码不能为空") // todo 更新校验规则
    private String groupCode;

    @ApiModelProperty(value = "能耗类型", required = true)
    @NotNull(message = "能耗类型不能为空") // todo 更新校验规则
    private String energyType;

    @ApiModelProperty(value = "建筑类型（业态）", required = true)
    @NotNull(message = "建筑类型（业态）不能为空") // todo 更新校验规则
    private String buildingType;

    @ApiModelProperty(value = "信息点类型（0-能耗，1-费用 ，2-能耗预算，3-费用预算）", required = true)
    @NotNull(message = "信息点类型（0-能耗，1-费用 ，2-能耗预算，3-费用预算）不能为空") // todo 更新校验规则
    private String functionType;

    @ApiModelProperty(value = "能耗模型编码", required = true)
    @NotNull(message = "能耗模型编码不能为空") // todo 更新校验规则
    private String modelCode;

    @ApiModelProperty(value = "分项id", required = true)
    @NotNull(message = "分项id不能为空") // todo 更新校验规则
    private String itemId;

}
