package com.persagy.apm.energy.report.monthly.config.function.service;

import com.persagy.apm.energy.report.monthly.config.function.model.*;
import com.persagy.apm.energy.report.monthly.config.function.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 能耗报告信息点(Function) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:05:33
 */
public interface IFunctionService {

    /**
     * 创建能耗报告信息点
     *
     * @param addFunctionDTO addDTO
     * @return 能耗报告信息点主键
     * @author lixing
     * @version V1.0 2021-05-20 19:05:33
     */
    String createFunction(AddFunctionDTO addFunctionDTO);

    /**
     * 能耗报告信息点详情
     *
     * @param id 主键
     * @return 能耗报告信息点do对象
     * @author lixing
     * @version V1.0 2021-05-20 19:05:33
     */
    Function queryFunctionDetail(String id);

    /**
     * 更新能耗报告信息点
     *
     * @param updateFunctionDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-20 19:05:33
     */
    void updateFunction(UpdateFunctionDTO updateFunctionDTO);

    /**
     * 删除能耗报告信息点
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-20 19:05:33
     */
    void deleteFunction(String id);

    /**
     * 查询能耗报告信息点
     *
     * @param queryFunctionDTO queryDTO
     * @return List<Function>
     * @author lixing
     * @version V1.0 2021-05-20 19:05:33
     */
    List<Function> queryFunctionList(QueryFunctionDTO queryFunctionDTO);

    /**
     * 分页查询能耗报告信息点
     *
     * @param pageQueryFunctionDTO pageQueryDTO
     * @return IPage<Function>
     * @author lixing
     * @version V1.0 2021-05-20 19:05:33
     */
    IPage<Function> pageQueryFunction(PageQueryFunctionDTO pageQueryFunctionDTO);

    /**
     * 获取条目名称
     *
     * @param function  功能点信息
     * @param projectId 项目id
     * @return 条目名称
     * @author lixing
     * @version V1.0 2021/5/28 7:22 下午
     */
    String getItemName(Function function, String projectId);
}
