package com.persagy.apm.energy.report.monthly.config.functiongroup.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:06:29
 */
@Data
@ApiModel(value = "创建信息点分组入参")
public class AddFunctionGroupDTO {
    @ApiModelProperty(value = "分组名称", required = true)
    @NotNull(message = "分组名称不能为空") // todo 更新校验规则
    private String name;

    @ApiModelProperty(value = "包含的分组id（预留字段）", required = true)
    @NotNull(message = "包含的分组id（预留字段）不能为空") // todo 更新校验规则
    private String groupIds;

    @ApiModelProperty(value = "包含的信息点id", required = true)
    @NotNull(message = "包含的信息点id不能为空") // todo 更新校验规则
    private String functionIds;

    @ApiModelProperty(value = "所属段落（如果不直属段落，这里不填）", required = true)
    @NotNull(message = "所属段落（如果不直属段落，这里不填）不能为空") // todo 更新校验规则
    private String belongParagraph;

}
