package com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.model;

import org.mapstruct.*;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;
import com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.model.vo.*;
import com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.model.dto.*;

import java.util.List;

/**
 * 报告详情与统计条目的关联(ReportDetailStatisticsItemRel) dto、vo、do转换工具类
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:19:41 2021-05-20 19:19:41
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertReportDetailStatisticsItemRelTool {

    ConvertReportDetailStatisticsItemRelTool INSTANCE = Mappers.getMapper(ConvertReportDetailStatisticsItemRelTool.class);

    /**
     * do转换为ResponseItemVO
     *
     * @param reportDetailStatisticsItemRel do对象
     * @return ResponseItemVO
     * @author lixing
     * @version V1.0 2021-05-20 19:19:41
     */
    ResponseReportDetailStatisticsItemRelItemVO convert2ResponseItemDTO(ReportDetailStatisticsItemRel reportDetailStatisticsItemRel);

    /**
     * do转换为ResponseListItemVO
     *
     * @param reportDetailStatisticsItemRel do对象
     * @return ResponseListItemVO
     * @author lixing
     * @version V1.0 2021-05-20 19:19:41
     */
    ResponseReportDetailStatisticsItemRelListItemVO convert2ResponseListItemDTO(ReportDetailStatisticsItemRel reportDetailStatisticsItemRel);

    /**
     * do列表转换为ResponseListItemVO列表
     *
     * @param reportDetailStatisticsItemRelList do列表
     * @return ResponseListItemVO列表
     * @author lixing
     * @version V1.0 2021-05-20 19:19:41
     */
    List<ResponseReportDetailStatisticsItemRelListItemVO> convert2List(List<ReportDetailStatisticsItemRel> reportDetailStatisticsItemRelList);

    /**
     * addDTO转换为do
     *
     * @param addReportDetailStatisticsItemRelDTO addDTO
     * @return 要创建的do对象
     * @author lixing
     * @version V1.0 2021-05-20 19:19:41
     */
    ReportDetailStatisticsItemRel convertAddDto2Entity(AddReportDetailStatisticsItemRelDTO addReportDetailStatisticsItemRelDTO);

    /**
     * updateDTO转换为实体
     *
     * @param reportDetailStatisticsItemRel          更新前的do对象
     * @param updateReportDetailStatisticsItemRelDTO updateDTO
     * @return 更新后的do对象
     * @author lixing
     * @version V1.0 2021-05-20 19:19:41
     */
    ReportDetailStatisticsItemRel convertUpdateDto2Entity(@MappingTarget ReportDetailStatisticsItemRel reportDetailStatisticsItemRel, UpdateReportDetailStatisticsItemRelDTO updateReportDetailStatisticsItemRelDTO);
}

