package com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 报告详情与统计条目的关联(ReportDetailStatisticsItemRel)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:19:40
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报告详情与统计条目的关联")
public class ReportDetailStatisticsItemRel extends AuditableEntity<ReportDetailStatisticsItemRel> implements Serializable {
    private static final long serialVersionUID = -23777287365374831L;

    @ApiModelProperty("报告详情主键")
    private String reportDetailId;

    @ApiModelProperty("报告类型id")
    private String reportTypeId;

    @ApiModelProperty("统计条目id")
    private String statisticsItemId;

    @ApiModelProperty("不合格原因")
    private String unqualifiedReason;

    @ApiModelProperty("备注")
    private String remark;


    public static String PROP_REPORT_DETAIL_ID = "report_detail_id";
    public static String PROP_REPORT_TYPE_ID = "report_type_id";
    public static String PROP_STATISTICS_ITEM_ID = "statistics_item_id";
    public static String PROP_UNQUALIFIED_REASON = "unqualified_reason";
    public static String PROP_REMARK = "remark";

}
