package com.persagy.apm.energy.report.monthly.config.rel.typefunction.model;

import org.mapstruct.*;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;
import com.persagy.apm.energy.report.monthly.config.rel.typefunction.model.vo.*;
import com.persagy.apm.energy.report.monthly.config.rel.typefunction.model.dto.*;

import java.util.List;

/**
 * 报告类型(ReportTypeFunctionRel) dto、vo、do转换工具类
 *
 * @author lixing
 * @version V1.0 2021-05-24 16:02:45 2021-05-24 16:02:45
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertReportTypeFunctionRelTool {

    ConvertReportTypeFunctionRelTool INSTANCE = Mappers.getMapper(ConvertReportTypeFunctionRelTool.class);

    /**
     * do转换为ResponseItemVO
     *
     * @param reportTypeFunctionRel do对象
     * @return ResponseItemVO
     * @author lixing
     * @version V1.0 2021-05-24 16:02:45
     */
    ResponseReportTypeFunctionRelItemVO convert2ResponseItemDTO(ReportTypeFunctionRel reportTypeFunctionRel);

    /**
     * do转换为ResponseListItemVO
     *
     * @param reportTypeFunctionRel do对象
     * @return ResponseListItemVO
     * @author lixing
     * @version V1.0 2021-05-24 16:02:45
     */
    ResponseReportTypeFunctionRelListItemVO convert2ResponseListItemDTO(ReportTypeFunctionRel reportTypeFunctionRel);

    /**
     * do列表转换为ResponseListItemVO列表
     *
     * @param reportTypeFunctionRelList do列表
     * @return ResponseListItemVO列表
     * @author lixing
     * @version V1.0 2021-05-24 16:02:45
     */
    List<ResponseReportTypeFunctionRelListItemVO> convert2List(List<ReportTypeFunctionRel> reportTypeFunctionRelList);

    /**
     * addDTO转换为do
     *
     * @param addReportTypeFunctionRelDTO addDTO
     * @return 要创建的do对象
     * @author lixing
     * @version V1.0 2021-05-24 16:02:45
     */
    ReportTypeFunctionRel convertAddDto2Entity(AddReportTypeFunctionRelDTO addReportTypeFunctionRelDTO);

    /**
     * updateDTO转换为实体
     *
     * @param reportTypeFunctionRel          更新前的do对象
     * @param updateReportTypeFunctionRelDTO updateDTO
     * @return 更新后的do对象
     * @author lixing
     * @version V1.0 2021-05-24 16:02:45
     */
    ReportTypeFunctionRel convertUpdateDto2Entity(@MappingTarget ReportTypeFunctionRel reportTypeFunctionRel, UpdateReportTypeFunctionRelDTO updateReportTypeFunctionRelDTO);
}

