package com.persagy.apm.energy.report.monthly.config.rel.typefunction.service;

import com.persagy.apm.energy.report.monthly.config.rel.typefunction.model.*;
import com.persagy.apm.energy.report.monthly.config.rel.typefunction.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 报告类型(ReportTypeFunctionRel) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-24 16:02:40
 */
public interface IReportTypeFunctionRelService {

    /**
     * 创建报告类型
     *
     * @param addReportTypeFunctionRelDTO addDTO
     * @return 报告类型主键
     * @author lixing
     * @version V1.0 2021-05-24 16:02:40
     */
    String createReportTypeFunctionRel(AddReportTypeFunctionRelDTO addReportTypeFunctionRelDTO);

    /**
     * 报告类型详情
     *
     * @param id 主键
     * @return 报告类型do对象
     * @author lixing
     * @version V1.0 2021-05-24 16:02:40
     */
    ReportTypeFunctionRel queryReportTypeFunctionRelDetail(String id);

    /**
     * 更新报告类型
     *
     * @param updateReportTypeFunctionRelDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-24 16:02:40
     */
    void updateReportTypeFunctionRel(UpdateReportTypeFunctionRelDTO updateReportTypeFunctionRelDTO);

    /**
     * 删除报告类型
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-24 16:02:40
     */
    void deleteReportTypeFunctionRel(String id);

    /**
     * 查询报告类型
     *
     * @param queryReportTypeFunctionRelDTO queryDTO
     * @return List<ReportTypeFunctionRel>
     * @author lixing
     * @version V1.0 2021-05-24 16:02:40
     */
    List<ReportTypeFunctionRel> queryReportTypeFunctionRelList(QueryReportTypeFunctionRelDTO queryReportTypeFunctionRelDTO);

    /**
     * 分页查询报告类型
     *
     * @param pageQueryReportTypeFunctionRelDTO pageQueryDTO
     * @return IPage<ReportTypeFunctionRel>
     * @author lixing
     * @version V1.0 2021-05-24 16:02:40
     */
    IPage<ReportTypeFunctionRel> pageQueryReportTypeFunctionRel(PageQueryReportTypeFunctionRelDTO pageQueryReportTypeFunctionRelDTO);
}
