package com.persagy.apm.energy.report.monthly.config.rel.typefunctiongroup.model;

import org.mapstruct.*;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;
import com.persagy.apm.energy.report.monthly.config.rel.typefunctiongroup.model.vo.*;
import com.persagy.apm.energy.report.monthly.config.rel.typefunctiongroup.model.dto.*;

import java.util.List;

/**
 * 报告类型(ReportTypeFunctionGroupRel) dto、vo、do转换工具类
 *
 * @author lixing
 * @version V1.0 2021-05-24 16:02:18 2021-05-24 16:02:18
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertReportTypeFunctionGroupRelTool {

    ConvertReportTypeFunctionGroupRelTool INSTANCE = Mappers.getMapper(ConvertReportTypeFunctionGroupRelTool.class);

    /**
     * do转换为ResponseItemVO
     *
     * @param reportTypeFunctionGroupRel do对象
     * @return ResponseItemVO
     * @author lixing
     * @version V1.0 2021-05-24 16:02:18
     */
    ResponseReportTypeFunctionGroupRelItemVO convert2ResponseItemDTO(ReportTypeFunctionGroupRel reportTypeFunctionGroupRel);

    /**
     * do转换为ResponseListItemVO
     *
     * @param reportTypeFunctionGroupRel do对象
     * @return ResponseListItemVO
     * @author lixing
     * @version V1.0 2021-05-24 16:02:18
     */
    ResponseReportTypeFunctionGroupRelListItemVO convert2ResponseListItemDTO(ReportTypeFunctionGroupRel reportTypeFunctionGroupRel);

    /**
     * do列表转换为ResponseListItemVO列表
     *
     * @param reportTypeFunctionGroupRelList do列表
     * @return ResponseListItemVO列表
     * @author lixing
     * @version V1.0 2021-05-24 16:02:18
     */
    List<ResponseReportTypeFunctionGroupRelListItemVO> convert2List(List<ReportTypeFunctionGroupRel> reportTypeFunctionGroupRelList);

    /**
     * addDTO转换为do
     *
     * @param addReportTypeFunctionGroupRelDTO addDTO
     * @return 要创建的do对象
     * @author lixing
     * @version V1.0 2021-05-24 16:02:18
     */
    ReportTypeFunctionGroupRel convertAddDto2Entity(AddReportTypeFunctionGroupRelDTO addReportTypeFunctionGroupRelDTO);

    /**
     * updateDTO转换为实体
     *
     * @param reportTypeFunctionGroupRel          更新前的do对象
     * @param updateReportTypeFunctionGroupRelDTO updateDTO
     * @return 更新后的do对象
     * @author lixing
     * @version V1.0 2021-05-24 16:02:18
     */
    ReportTypeFunctionGroupRel convertUpdateDto2Entity(@MappingTarget ReportTypeFunctionGroupRel reportTypeFunctionGroupRel, UpdateReportTypeFunctionGroupRelDTO updateReportTypeFunctionGroupRelDTO);
}

