package com.persagy.apm.energy.report.monthly.config.rel.typestatisticsitem.model;

import org.mapstruct.*;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;
import com.persagy.apm.energy.report.monthly.config.rel.typestatisticsitem.model.vo.*;
import com.persagy.apm.energy.report.monthly.config.rel.typestatisticsitem.model.dto.*;

import java.util.List;

/**
 * 报告类型和统计条目关联关系(ReportTypeStatisticsItemRel) dto、vo、do转换工具类
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:20:23 2021-05-20 19:20:23
 */
@Mapper(nullValueMappingStrategy = NullValueMappingStrategy.RETURN_DEFAULT,
        nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ConvertReportTypeStatisticsItemRelTool {

    ConvertReportTypeStatisticsItemRelTool INSTANCE = Mappers.getMapper(ConvertReportTypeStatisticsItemRelTool.class);

    /**
     * do转换为ResponseItemVO
     *
     * @param reportTypeStatisticsItemRel do对象
     * @return ResponseItemVO
     * @author lixing
     * @version V1.0 2021-05-20 19:20:23
     */
    ResponseReportTypeStatisticsItemRelItemVO convert2ResponseItemDTO(ReportTypeStatisticsItemRel reportTypeStatisticsItemRel);

    /**
     * do转换为ResponseListItemVO
     *
     * @param reportTypeStatisticsItemRel do对象
     * @return ResponseListItemVO
     * @author lixing
     * @version V1.0 2021-05-20 19:20:23
     */
    ResponseReportTypeStatisticsItemRelListItemVO convert2ResponseListItemDTO(ReportTypeStatisticsItemRel reportTypeStatisticsItemRel);

    /**
     * do列表转换为ResponseListItemVO列表
     *
     * @param reportTypeStatisticsItemRelList do列表
     * @return ResponseListItemVO列表
     * @author lixing
     * @version V1.0 2021-05-20 19:20:23
     */
    List<ResponseReportTypeStatisticsItemRelListItemVO> convert2List(List<ReportTypeStatisticsItemRel> reportTypeStatisticsItemRelList);

    /**
     * addDTO转换为do
     *
     * @param addReportTypeStatisticsItemRelDTO addDTO
     * @return 要创建的do对象
     * @author lixing
     * @version V1.0 2021-05-20 19:20:23
     */
    ReportTypeStatisticsItemRel convertAddDto2Entity(AddReportTypeStatisticsItemRelDTO addReportTypeStatisticsItemRelDTO);

    /**
     * updateDTO转换为实体
     *
     * @param reportTypeStatisticsItemRel          更新前的do对象
     * @param updateReportTypeStatisticsItemRelDTO updateDTO
     * @return 更新后的do对象
     * @author lixing
     * @version V1.0 2021-05-20 19:20:23
     */
    ReportTypeStatisticsItemRel convertUpdateDto2Entity(@MappingTarget ReportTypeStatisticsItemRel reportTypeStatisticsItemRel, UpdateReportTypeStatisticsItemRelDTO updateReportTypeStatisticsItemRelDTO);
}

