package com.persagy.apm.energy.report.monthly.config.rel.typestatisticsitem.service;

import com.persagy.apm.energy.report.monthly.config.rel.typestatisticsitem.model.*;
import com.persagy.apm.energy.report.monthly.config.rel.typestatisticsitem.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 报告类型和统计条目关联关系(ReportTypeStatisticsItemRel) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:20:20
 */
public interface IReportTypeStatisticsItemRelService {

    /**
     * 创建报告类型和统计条目关联关系
     *
     * @param addReportTypeStatisticsItemRelDTO addDTO
     * @return 报告类型和统计条目关联关系主键
     * @author lixing
     * @version V1.0 2021-05-20 19:20:20
     */
    String createReportTypeStatisticsItemRel(AddReportTypeStatisticsItemRelDTO addReportTypeStatisticsItemRelDTO);

    /**
     * 报告类型和统计条目关联关系详情
     *
     * @param id 主键
     * @return 报告类型和统计条目关联关系do对象
     * @author lixing
     * @version V1.0 2021-05-20 19:20:20
     */
    ReportTypeStatisticsItemRel queryReportTypeStatisticsItemRelDetail(String id);

    /**
     * 更新报告类型和统计条目关联关系
     *
     * @param updateReportTypeStatisticsItemRelDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-20 19:20:20
     */
    void updateReportTypeStatisticsItemRel(UpdateReportTypeStatisticsItemRelDTO updateReportTypeStatisticsItemRelDTO);

    /**
     * 删除报告类型和统计条目关联关系
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-20 19:20:20
     */
    void deleteReportTypeStatisticsItemRel(String id);

    /**
     * 查询报告类型和统计条目关联关系
     *
     * @param queryReportTypeStatisticsItemRelDTO queryDTO
     * @return List<ReportTypeStatisticsItemRel>
     * @author lixing
     * @version V1.0 2021-05-20 19:20:20
     */
    List<ReportTypeStatisticsItemRel> queryReportTypeStatisticsItemRelList(QueryReportTypeStatisticsItemRelDTO queryReportTypeStatisticsItemRelDTO);

    /**
     * 分页查询报告类型和统计条目关联关系
     *
     * @param pageQueryReportTypeStatisticsItemRelDTO pageQueryDTO
     * @return IPage<ReportTypeStatisticsItemRel>
     * @author lixing
     * @version V1.0 2021-05-20 19:20:20
     */
    IPage<ReportTypeStatisticsItemRel> pageQueryReportTypeStatisticsItemRel(PageQueryReportTypeStatisticsItemRelDTO pageQueryReportTypeStatisticsItemRelDTO);
}
