package com.persagy.apm.energy.report.monthly.config.statisticsitems.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 统计条目(StatisticItems)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:21:10
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "统计条目")
public class StatisticItems extends AuditableEntity<StatisticItems> implements Serializable {
    private static final long serialVersionUID = -97538698360555468L;

    @ApiModelProperty("条目编码")
    private String itemCode;

    @ApiModelProperty("条目名称")
    private String itemName;

    @ApiModelProperty("条目来源")
    private String itemSource;

    @ApiModelProperty("合格的标准")
    private String standardValue;

    @ApiModelProperty("合格的判断公式")
    private String qualifyFormula;

    @ApiModelProperty("合格的判断公式")
    private String standardFlag;


    public static String PROP_ITEM_CODE = "item_code";
    public static String PROP_ITEM_SOURCE = "item_source";
    public static String PROP_STANDARD_VALUE = "standard_value";
    public static String PROP_QUALIFY_FORMULA = "qualify_formula";

}
