package com.persagy.apm.energy.report.monthly.config.type.service;

import com.persagy.apm.energy.report.monthly.config.type.model.*;
import com.persagy.apm.energy.report.monthly.config.type.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.energy.report.monthly.config.type.model.vo.ResponseReportTypeListItemVO;

/**
 * 报告类型(ReportType) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-19 10:39:15
 */
public interface IReportTypeService {

    /**
     * 创建报告类型
     *
     * @param addReportTypeDTO addDTO
     * @return 报告类型主键
     * @author lixing
     * @version V1.0 2021-05-19 10:39:15
     */
    String createReportType(AddReportTypeDTO addReportTypeDTO);

    /**
     * 报告类型详情
     *
     * @param id 主键
     * @return 报告类型do对象
     * @author lixing
     * @version V1.0 2021-05-19 10:39:15
     */
    ReportType queryReportTypeDetail(String id);

    /**
     * 更新报告类型
     *
     * @param updateReportTypeDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-19 10:39:15
     */
    void updateReportType(UpdateReportTypeDTO updateReportTypeDTO);

    /**
     * 删除报告类型
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-19 10:39:15
     */
    void deleteReportType(String id);

    /**
     * 查询报告类型
     *
     * @param queryReportTypeDTO queryDTO
     * @return List<ReportType>
     * @author lixing
     * @version V1.0 2021-05-19 10:39:15
     */
    List<ReportType> queryReportTypeList(QueryReportTypeDTO queryReportTypeDTO);

    /**
     * 分页查询报告类型
     *
     * @param pageQueryReportTypeDTO pageQueryDTO
     * @return IPage<ReportType>
     * @author lixing
     * @version V1.0 2021-05-19 10:39:15
     */
    IPage<ReportType> pageQueryReportType(PageQueryReportTypeDTO pageQueryReportTypeDTO);

    /**
     * 查询当前用户可用的报告类型
     *
     * @return 当前用户可用的报告类型
     * @author lixing
     * @version V1.0 2021/5/19 4:39 下午
     */
    IPage<ResponseReportTypeListItemVO> queryAvailableReportTypes();
}
