package com.persagy.apm.energy.report.monthly.config.type.service.impl;

import com.persagy.apm.common.model.vo.EnumVO;
import com.persagy.apm.energy.report.monthly.config.type.constant.enums.BelongTypeEnum;
import com.persagy.apm.energy.report.monthly.config.type.constant.enums.BuildingTypeEnum;
import com.persagy.apm.energy.report.monthly.config.type.service.IReportTypeEnumService;
import com.persagy.apm.energy.report.monthly.outline.constants.enums.ReportStateEnum;
import com.persagy.apm.energy.report.monthly.outline.service.IReportOutlineEnumService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * 报告类型相关枚举实现类
 *
 * @author lixing
 * @version V1.0 2021/5/17 11:00 上午
 **/
@Service
public class ReportTypeEnumServiceImpl implements IReportTypeEnumService {

    @Override
    public List<EnumVO> queryBuildingTypeEnum() {
        List<EnumVO> resultList = new ArrayList<>(BuildingTypeEnum.values().length);
        Arrays.asList(BuildingTypeEnum.values()).forEach(enumItem -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(enumItem.getType());
            enumVO.setValue(enumItem.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }

    @Override
    public List<EnumVO> queryBelongTypeEnum() {
        List<EnumVO> resultList = new ArrayList<>(BelongTypeEnum.values().length);
        Arrays.asList(BelongTypeEnum.values()).forEach(enumItem -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(enumItem.getType());
            enumVO.setValue(enumItem.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }
}
