package com.persagy.apm.energy.report.monthly.detail.business.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import com.persagy.apm.common.model.entity.AuditableEntity;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.CostVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.PowerVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * 报告详情(ReportBusinessDetail)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报告详情")
@TableName(autoResultMap = true)
public class ReportBusinessDetail extends AuditableEntity<ReportBusinessDetail> implements Serializable {
    private static final long serialVersionUID = -53430011796515423L;

    @ApiModelProperty("在营项目用电量数据对象信息,项目月报使用此字段")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private PowerVO openPower;

    @ApiModelProperty("在营项目用电情况说明")
    private String openPowerExplain;

    @ApiModelProperty("可同比项目用电量数据对象信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private PowerVO comparePower;

    @ApiModelProperty("可同比项目用电情况说明")
    private String comparePowerExplain;

    @ApiModelProperty("在营项目能源费数据对象信息,项目月报使用此字段")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private CostVO openCost;

    @ApiModelProperty("在营项目费用说明")
    private String openCostExplain;

    @ApiModelProperty("可同比项目能源费数据对象信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private CostVO compareCost;

    @ApiModelProperty("可同比项目费用说明")
    private String compareCostExplain;

    @ApiModelProperty("能耗管理工作开展对象信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<Job> job;

    @ApiModelProperty("备注说明")
    private String remark;

    @ApiModelProperty("能耗管理平台运维对象信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<Platform> platform;

    @ApiModelProperty("事项说明")
    private String itemExplain;

    public static String PROP_OPEN_POWER = "open_power";
    public static String PROP_OPEN_POWER_EXPLAIN = "open_power_explain";
    public static String PROP_COMPARE_POWER = "compare_power";
    public static String PROP_COMPARE_POWER_EXPLAIN = "compare_power_explain";
    public static String PROP_OPEN_COST = "open_cost";
    public static String PROP_OPEN_COST_EXPLAIN = "open_cost_explain";
    public static String PROP_COMPARE_COST = "compare_cost";
    public static String PROP_COMPARE_COST_EXPLAIN = "compare_cost_explain";
    public static String PROP_JOB = "job";
    public static String PROP_REMARK = "remark";
    public static String PROP_PLATFORM = "platform";
    public static String PROP_ITEM_EXPLAIN = "item_explain";
    public static String PROP_PROJECT_IDS = "project_ids";

}
