package com.persagy.apm.energy.report.monthly.detail.business.model.dto;

import com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.model.dto.AddReportDetailStatisticsItemRelDTO;
import com.persagy.apm.energy.report.monthly.detail.business.model.Job;
import com.persagy.apm.energy.report.monthly.detail.business.model.Platform;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.CostVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.PowerVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "创建报告详情入参")
public class AddReportBusinessDetailDTO {
    @ApiModelProperty(value = "在营项目用电量数据对象信息,项目月报使用此字段")
    private PowerVO openPower;

    @ApiModelProperty(value = "在营项目用电情况说明")
    private String openPowerExplain;

    @ApiModelProperty(value = "可同比项目用电量数据对象信息")
    private PowerVO comparePower;

    @ApiModelProperty(value = "可同比项目用电情况说明")
    private String comparePowerExplain;

    @ApiModelProperty(value = "在营项目能源费数据对象信息,项目月报使用此字段")
    private CostVO openCost;

    @ApiModelProperty(value = "在营项目费用说明")
    private String openCostExplain;

    @ApiModelProperty(value = "可同比项目能源费数据对象信息")
    private CostVO compareCost;

    @ApiModelProperty(value = "可同比项目费用说明")
    private String compareCostExplain;

    @ApiModelProperty(value = "能耗管理工作开展对象信息")
    private List<Job> job;

    @ApiModelProperty(value = "备注说明")
    private String remark;

    @ApiModelProperty(value = "能耗管理平台运维对象信息")
    private List<Platform> platform;

    @ApiModelProperty(value = "事项说明")
    private String itemExplain;

    @ApiModelProperty(value = "统计条目补充说明")
    private List<AddReportDetailStatisticsItemRelDTO> statisticItemsSupplements;
}
