package com.persagy.apm.energy.report.monthly.detail.business.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.model.dto.AddReportDetailStatisticsItemRelDTO;
import com.persagy.apm.energy.report.monthly.detail.business.model.Job;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "更新报告详情入参")
public class UpdateReportBusinessDetailDTO {
    @ApiModelProperty(value = "报告主键", required = true)
    @NotBlank(message = "报告主键不能为空")
    private String reportOutlineId;

    @ApiModelProperty(value = "在营项目用电情况说明")
    private String openPowerExplain;

    @ApiModelProperty(value = "可同比项目用电情况说明")
    private String comparePowerExplain;

    @ApiModelProperty(value = "在营项目费用说明")
    private String openCostExplain;

    @ApiModelProperty(value = "可同比项目费用说明")
    private String compareCostExplain;

    @ApiModelProperty(value = "能耗管理工作开展对象信息")
    private List<Job> job;

    @ApiModelProperty(value = "能耗管理工作备注")
    private String remark;

    @ApiModelProperty(value = "平台其他事项说明")
    private String itemExplain;


    @ApiModelProperty(value = "统计条目补充说明")
    private List<AddReportDetailStatisticsItemRelDTO> statisticItemsSupplements;
}
