package com.persagy.apm.energy.report.monthly.detail.business.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.model.vo.ResponseReportDetailStatisticsItemRelListItemVO;
import com.persagy.apm.energy.report.monthly.detail.business.model.*;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.CostVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.PowerVO;
import com.persagy.apm.energy.report.saasweb.model.vo.ReportAreaVO;
import com.persagy.apm.energy.report.saasweb.model.vo.ReportProjectVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "报告详情返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportBusinessDetailItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("项目信息")
    private ReportProjectVO projectInfo;

    @ApiModelProperty("在营分区信息")
    private ReportAreaVO openAreaInfo;

    @ApiModelProperty("可同比分区信息")
    private ReportAreaVO compareAreaInfo;

    @ApiModelProperty("在营项目用电量数据对象信息,项目月报使用此字段")
    private PowerVO openPower;

    @ApiModelProperty("在营项目用电情况说明")
    private String openPowerExplain;

    @ApiModelProperty("可同比项目用电量数据对象信息")
    private PowerVO comparePower;

    @ApiModelProperty("可同比项目用电情况说明")
    private String comparePowerExplain;

    @ApiModelProperty("在营项目能源费数据对象信息,项目月报使用此字段")
    private CostVO openCost;

    @ApiModelProperty("在营项目费用说明")
    private String openCostExplain;

    @ApiModelProperty("可同比项目能源费数据对象信息")
    private CostVO compareCost;

    @ApiModelProperty("可同比项目费用说明")
    private String compareCostExplain;

    @ApiModelProperty("能耗管理工作开展对象信息")
    private List<Job> job;

    @ApiModelProperty("备注说明")
    private String remark;

    @ApiModelProperty("能耗管理平台运维对象信息")
    private List<Platform> platform;

    @ApiModelProperty("事项说明")
    private String itemExplain;

    @ApiModelProperty(value = "模型补充说明")
    private List<ResponseReportDetailStatisticsItemRelListItemVO> statisticItemsSupplements;
}
