package com.persagy.apm.energy.report.monthly.detail.business.service;

import com.persagy.apm.energy.report.monthly.config.function.model.Function;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.CostItemVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.CostVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.GroupInfo;
import com.persagy.apm.energy.report.monthly.detail.common.service.IReportCostInfoService;
import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;
import com.persagy.apm.energy.report.saasweb.model.vo.ReportProjectVO;

import java.util.Date;
import java.util.List;

/**
 * 商业报告费用信息service接口
 *
 * @author lixing
 * @version V1.0 2021/5/30 10:26 下午
 **/
public interface IBusinessReportCostInfoService extends IReportCostInfoService {
    /**
     * 获取费用信息
     *
     * @param reportOutline  报告outline对象
     * @param groupIdList    费用信息点分组列表
     * @param functionIdList 费用信息点列表
     * @return 费用信息
     * @author lixing
     * @version V1.0 2021/5/24 4:14 下午
     */
    CostVO getOpenCost(ReportOutline reportOutline, List<String> groupIdList, List<String> functionIdList);

    /**
     * 获取可同比费用信息
     *
     * @param reportOutline  报告outline对象
     * @param groupIdList    费用信息点分组列表
     * @param functionIdList 费用信息点列表
     * @return 费用信息
     * @author lixing
     * @version V1.0 2021/5/24 4:14 下午
     */
    CostVO getCompareCost(ReportOutline reportOutline, List<String> groupIdList, List<String> functionIdList);
}
