package com.persagy.apm.energy.report.monthly.detail.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021/5/17 3:15 下午
 **/
@Data
@ApiModel(value = "费用条目")
public class CostItemVO {
    @ApiModelProperty("条目名称")
    private String name;
    @ApiModelProperty(value = "条目能耗类型",
            notes = "com.persagy.apm.energy.report.monthly.config.function.constant.enums.EnergyTypeEnum")
    private String energyType;
    @ApiModelProperty(value = "功能类型",
            notes = "com.persagy.apm.energy.report.monthly.config.function.constant.enums.FunctionTypeEnum")
    private String functionType;


    @ApiModelProperty("本月费用")
    public Double currentMonth;

    @ApiModelProperty("上月费用")
    public Double lastMonth;

    @ApiModelProperty("本年度累计费用")
    public Double yearCount;

    @ApiModelProperty("去年同期累计费用")
    public Double lastYearCount;

    @ApiModelProperty("环比增量")
    public Double linkCount;

    @ApiModelProperty("环比增幅")
    public Double linkRange;

    @ApiModelProperty("同期累计同比增量")
    public Double sameCount;

    @ApiModelProperty("同期累计同比增幅")
    public Double sameRange;

    @ApiModelProperty("本年单方能源费")
    public Double yearPerCount;

    @ApiModelProperty("去年单方能源费")
    public Double lastYearPerCount;


    @ApiModelProperty("去年同期单月同比增量")
    public Double sameTimeGrowth;

    @ApiModelProperty("去年同期单月同比增幅")
    public Double sameTimeRange;

}
