package com.persagy.apm.energy.report.monthly.detail.common.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.service.IReportDetailStatisticsItemRelService;
import com.persagy.apm.energy.report.monthly.config.rel.typefunction.model.ReportTypeFunctionRel;
import com.persagy.apm.energy.report.monthly.config.rel.typefunction.model.dto.QueryReportTypeFunctionRelDTO;
import com.persagy.apm.energy.report.monthly.config.rel.typefunction.service.IReportTypeFunctionRelService;
import com.persagy.apm.energy.report.monthly.config.rel.typefunctiongroup.model.ReportTypeFunctionGroupRel;
import com.persagy.apm.energy.report.monthly.config.rel.typefunctiongroup.model.dto.QueryReportTypeFunctionGroupRelDTO;
import com.persagy.apm.energy.report.monthly.config.rel.typefunctiongroup.service.IReportTypeFunctionGroupRelService;
import com.persagy.apm.energy.report.monthly.config.type.service.IReportTypeService;
import com.persagy.apm.energy.report.monthly.detail.business.dao.ReportBusinessDetailMapper;
import com.persagy.apm.energy.report.monthly.detail.business.model.ReportBusinessDetail;
import com.persagy.apm.energy.report.monthly.detail.common.service.IReportDetailService;
import com.persagy.apm.energy.report.monthly.outline.service.IReportOutlineService;
import com.persagy.apm.energy.report.saasweb.service.ISaasWebService;
import org.assertj.core.util.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 报告详情(ReportBusinessDetail) service层
 *
 * @author lixing
 * @version V1.0 2021-05-17 11:08:34
 */
@Service
public class ReportDetailServiceImpl extends ServiceImpl<ReportBusinessDetailMapper, ReportBusinessDetail>
        implements IReportDetailService {
    @Autowired
    IReportDetailStatisticsItemRelService reportDetailStatisticsItemRelService;
    @Autowired
    private IReportTypeFunctionRelService reportTypeFunctionRelService;
    @Autowired
    private IReportTypeFunctionGroupRelService reportTypeFunctionGroupRelService;

    @Override
    public List<String> getGroupsByParagraph(String reportTypeId, String belongParagraph) {
        List<String> groupIdList = Lists.newArrayList();
        QueryReportTypeFunctionGroupRelDTO queryReportTypeFunctionGroupRelDTO = new QueryReportTypeFunctionGroupRelDTO();
        queryReportTypeFunctionGroupRelDTO.setReportTypeId(reportTypeId);
        queryReportTypeFunctionGroupRelDTO.setBelongParagraph(belongParagraph);
        List<ReportTypeFunctionGroupRel> reportTypeFunctionGroupRels = reportTypeFunctionGroupRelService.
                queryReportTypeFunctionGroupRelList(queryReportTypeFunctionGroupRelDTO);
        if (!CollectionUtils.isEmpty(reportTypeFunctionGroupRels)) {
            groupIdList = reportTypeFunctionGroupRels.stream().
                    map(ReportTypeFunctionGroupRel::getFunctionGroupId).collect(Collectors.toList());
        }
        return groupIdList;
    }

    @Override
    public List<String> getFunctionsByParagraph(String reportTypeId, String belongParagraph) {
        List<String> functionIdList = Lists.newArrayList();
        QueryReportTypeFunctionRelDTO queryReportTypeFunctionRelDTO = new QueryReportTypeFunctionRelDTO();
        queryReportTypeFunctionRelDTO.setReportTypeId(reportTypeId);
        queryReportTypeFunctionRelDTO.setBelongParagraph(belongParagraph);
        List<ReportTypeFunctionRel> reportTypeFunctionRels = reportTypeFunctionRelService.queryReportTypeFunctionRelList(queryReportTypeFunctionRelDTO);
        if (!CollectionUtils.isEmpty(reportTypeFunctionRels)) {
            functionIdList = reportTypeFunctionRels.stream().
                    map(ReportTypeFunctionRel::getFunctionId).collect(Collectors.toList());
        }
        return functionIdList;
    }
}
