package com.persagy.apm.energy.report.monthly.detail.hotel.area.controller;

import com.persagy.apm.common.response.ApmResponseUpsertVO;
import com.persagy.apm.common.response.CommonResult;
import com.persagy.apm.common.response.PageList;
import com.persagy.apm.common.utils.ResultHelper;
import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.ConvertReportHotelAreaDetailTool;
import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.ReportHotelAreaDetail;
import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.dto.*;
import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo.ResponseReportHotelAreaDetailItemVO;
import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo.ResponseReportHotelAreaDetailListItemVO;
import com.persagy.apm.energy.report.monthly.detail.hotel.area.service.IReportHotelAreaDetailService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:04
 */
@Api(tags = "酒店区域报告详情")
@Validated
@RestController
@RequestMapping("reportHotelAreaDetails")
public class ReportHotelAreaDetailController {
    @Autowired
    private IReportHotelAreaDetailService reportHotelAreaDetailService;

    @ApiOperation(value = "更新商业报告详情")
    @PostMapping("/update")
    public CommonResult<ApmResponseUpsertVO> updateReportHotelAreaDetail(
            @Valid @RequestBody UpdateReportHotelAreaDetailDTO updateReportHotelAreaDetailDTO) {
        reportHotelAreaDetailService.updateReportHotelAreaDetail(updateReportHotelAreaDetailDTO);
        return ResultHelper.single(new ApmResponseUpsertVO(updateReportHotelAreaDetailDTO.getReportOutlineId()));
    }
}

