package com.persagy.apm.energy.report.monthly.detail.hotel.area.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo.HotelAreaPowerConsumptionOutline;
import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo.HotelAreaRemainProblem;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 商业报告详情(ReportHotelAreaDetail)实体类
 *
 * @author lixing
 * @version V1.0 2021-06-07 09:42:07
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "酒店区域报告详情")
@TableName(autoResultMap = true)
public class ReportHotelAreaDetail extends AuditableEntity<ReportHotelAreaDetail> implements Serializable {
    private static final long serialVersionUID = 697592670671019747L;

    @ApiModelProperty("平台运行信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<HotelProjectMaintenanceBaseInfo> platformRuntimeInfo;

    @ApiModelProperty("平台运行描述")
    private String platformRuntimeDescription;

    @ApiModelProperty("费用信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<HotelProjectCostInfo> costInfo;

    @ApiModelProperty("费用说明")
    private String costDescription;

    @ApiModelProperty("用电量概述")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<HotelAreaPowerConsumptionOutline> powerUsageOutline;

    @ApiModelProperty("用电量说明")
    private String powerUsageDescription;

    @ApiModelProperty("节能工单信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<HotelProjectEnergyWorkerOrderBaseInfo> energyWorkOrderInfo;

    @ApiModelProperty("节能工单说明")
    private String energyWorkOrderDescription;

    @ApiModelProperty("报警处理信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<HotelProjectAlarmDealInfo> alarmDealInfo;

    @ApiModelProperty("遗留问题处理信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<HotelAreaRemainProblem> remainProblemsDealInfo;


    public static String PROP_PLATFORM_RUNTIME_INFO = "platform_runtime_info";
    public static String PROP_PLATFORM_RUNTIME_DESCRIPTION = "platform_runtime_description";
    public static String PROP_COST_INFO = "cost_info";
    public static String PROP_COST_DESCRIPTION = "cost_description";
    public static String PROP_POWER_USAGE_OUTLINE = "power_usage_outline";
    public static String PROP_POWER_USAGE_DESCRIPTION = "power_usage_description";
    public static String PROP_ENERGY_WORK_ORDER_INFO = "energy_work_order_info";
    public static String PROP_ENERGY_WORK_ORDER_DESCRIPTION = "energy_work_order_description";
    public static String PROP_ALARM_DEAL_INFO = "alarm_deal_info";
    public static String PROP_REMAIN_PROBLEMS_DEAL_INFO = "remain_problems_deal_info";

}
