package com.persagy.apm.energy.report.monthly.detail.hotel.area.model.dto;

import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo.HotelAreaRemainProblem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:07
 */
@Data
@ApiModel(value = "更新酒店区域报告详情入参")
public class UpdateReportHotelAreaDetailDTO {
    @ApiModelProperty(value = "报告主键", required = true)
    @NotNull(message = "报告主键不能为空")
    private String reportOutlineId;

    @ApiModelProperty(value = "平台运行描述")
    private String platformRuntimeDescription;

    @ApiModelProperty(value = "费用说明")
    private String costDescription;

    @ApiModelProperty(value = "用电量说明")
    private String powerUsageDescription;

    @ApiModelProperty(value = "节能工单说明")
    private String energyWorkOrderDescription;

    @ApiModelProperty(value = "遗留问题处理信息")
    private List<HotelAreaRemainProblem> remainProblemsDealInfo;
}
