package com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:08
 */
@Data
@ApiModel(value = "酒店区域报告详情返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportHotelAreaDetailItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("平台运行信息")
    private List<HotelProjectMaintenanceBaseInfo> platformRuntimeInfo;

    @ApiModelProperty("平台运行描述")
    private String platformRuntimeDescription;

    @ApiModelProperty("费用信息")
    private List<HotelProjectCostInfo> costInfo;

    @ApiModelProperty("费用说明")
    private String costDescription;

    @ApiModelProperty("用电量概述")
    private List<HotelAreaPowerConsumptionOutline> powerUsageOutline;

    @ApiModelProperty("用电量说明")
    private String powerUsageDescription;

    @ApiModelProperty("节能工单信息")
    private List<HotelProjectEnergyWorkerOrderBaseInfo> energyWorkOrderInfo;

    @ApiModelProperty("节能工单说明")
    private String energyWorkOrderDescription;

    @ApiModelProperty("报警处理信息")
    private List<HotelProjectAlarmDealInfo> alarmDealInfo;

    @ApiModelProperty("遗留问题处理信息")
    private List<HotelAreaRemainProblem> remainProblemsDealInfo;
}
