package com.persagy.apm.energy.report.monthly.detail.hotel.project.controller;

import com.persagy.apm.energy.report.monthly.detail.hotel.project.service.IReportHotelProjectDetailService;

import org.springframework.beans.factory.annotation.Autowired;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.*;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.*;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.dto.*;
import com.persagy.apm.common.response.*;
import com.persagy.apm.common.utils.ResultHelper;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:56
 */
@Api(tags = "酒店项目报告详情")
@Validated
@RestController
@RequestMapping("reportHotelProjectDetails")
public class ReportHotelProjectDetailController {
    @Autowired
    private IReportHotelProjectDetailService reportHotelProjectDetailService;

    @ApiOperation(value = "更新商业报告详情")
    @PostMapping("/update")
    public CommonResult<ApmResponseUpsertVO> updateReportHotelProjectDetail(
            @Valid @RequestBody UpdateReportHotelProjectDetailDTO updateReportHotelProjectDetailDTO) {
        reportHotelProjectDetailService.updateReportHotelProjectDetail(updateReportHotelProjectDetailDTO);
        return ResultHelper.single(new ApmResponseUpsertVO(updateReportHotelProjectDetailDTO.getReportOutlineId()));
    }
}

