package com.persagy.apm.energy.report.monthly.detail.hotel.project.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 商业报告详情(ReportHotelProjectDetail)实体类
 *
 * @author lixing
 * @version V1.0 2021-06-07 09:42:58
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "商业报告详情")
@TableName(autoResultMap = true)
public class ReportHotelProjectDetail extends AuditableEntity<ReportHotelProjectDetail> implements Serializable {
    private static final long serialVersionUID = 706925849959914678L;

    @ApiModelProperty("费用信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private HotelProjectCostInfo costInfo;

    @ApiModelProperty("费用说明")
    private String costDescription;

    @ApiModelProperty("用电量概述")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private HotelProjectPowerConsumptionOutline powerUsageOutline;

    @ApiModelProperty("公区用电量")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private HotelProjectPublicPowerConsumption publicAreaPowerUsage;

    @ApiModelProperty("用电量说明")
    private String powerUsageDescription;

    @ApiModelProperty("冷站效率")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private HotelProjectChillerPlantEfficiency airConditionerEfficiency;

    @ApiModelProperty("冷站效率说明")
    private String airConditionerEfficiencyExplain;

    @ApiModelProperty("环境指标")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private HotelProjectEnvKpi envInfo;

    @ApiModelProperty("环境说明")
    private String envDescription;

    @ApiModelProperty("节能工单信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private HotelProjectEnergyWorkerOrderInfo energyWorkOrderInfo;

    @ApiModelProperty("节能工单说明")
    private String energyWorkOrderDescription;

    @ApiModelProperty("平台运行信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private HotelProjectMaintenanceInfo platformRuntimeInfo;

    @ApiModelProperty("平台运行描述")
    private String platformRuntimeDescription;

    @ApiModelProperty("报警处理信息")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private HotelProjectAlarmDealInfo alarmDealInfo;

    @ApiModelProperty("报警处理说明")
    private String alarmDealDescription;


    public static String PROP_COST_INFO = "cost_info";
    public static String PROP_COST_DESCRIPTION = "cost_description";
    public static String PROP_POWER_USAGE_OUTLINE = "power_usage_outline";
    public static String PROP_PUBLIC_AREA_POWER_USAGE = "public_area_power_usage";
    public static String PROP_POWER_USAGE_DESCRIPTION = "power_usage_description";
    public static String PROP_AIR_CONDITIONER_EFFICIENCY = "air_conditioner_efficiency";
    public static String PROP_AIR_CONDITIONER_EFFICIENCY_EXPLAIN = "air_conditioner_efficiency_explain";
    public static String PROP_ENV_INFO = "env_info";
    public static String PROP_ENV_DESCRIPTION = "env_description";
    public static String PROP_ENERGY_WORK_ORDER_INFO = "energy_work_order_info";
    public static String PROP_ENERGY_WORK_ORDER_DESCRIPTION = "energy_work_order_description";
    public static String PROP_PLATFORM_RUNTIME_INFO = "platform_runtime_info";
    public static String PROP_PLATFORM_RUNTIME_DESCRIPTION = "platform_runtime_description";
    public static String PROP_ALARM_DEAL_INFO = "alarm_deal_info";
    public static String PROP_ALARM_DEAL_DESCRIPTION = "alarm_deal_description";

}
