package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.DateGraphItemVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.HotelRankVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("酒店项目冷站效率")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectChillerPlantEfficiency extends HotelRankVO {
    @ApiModelProperty(value = "eer")
    private Double eer;
    @ApiModelProperty(value = "上月eer")
    private Double eerLastMonth;
    @ApiModelProperty(value = "eer环比涨幅")
    private Double eerMonthRange;
    @ApiModelProperty(value = "最高eer发生时间")
    private List<Date> maxEerTime;
    @ApiModelProperty(value = "最低eer发生时间")
    private List<Date> minEerTime;
    @ApiModelProperty(value = "本月平均温度")
    private Double averageTemperatureCurrentMonth;
    @ApiModelProperty(value = "去年同期平均温度")
    private Double averageTemperatureLastYearSameTime;
    @ApiModelProperty(value = "平均温度增长量")
    private Double averageTemperatureGrowth;
    @ApiModelProperty(value = "本月制冷量")
    private Double coolingCapacityCurrentMonth;
    @ApiModelProperty(value = "去年同期制冷量")
    private Double coolingCapacityLastYearSameTime;
    @ApiModelProperty(value = "制冷量同比涨幅")
    private Double coolingCapacityRange;

    @ApiModelProperty(value = "图表信息")
    private List<DateGraphItemVO> eerDetailInfo;
}
