package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.CostItemVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@Data
@ApiModel("酒店项目费用信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectCostInfo {
    @ApiModelProperty(value = "项目名称")
    private String projectName;
    @ApiModelProperty(value = "总费用")
    private Double totalCost;
    @ApiModelProperty(value = "单位建筑面积费用")
    private Double costPerSquareMetre;
    @ApiModelProperty(value = "费用月同比涨幅")
    private Double costSameTimeRange;
    @ApiModelProperty(value = "入住率")
    private Double occupancy;
    @ApiModelProperty(value = "入住率同比涨幅")
    private Double occupancyYearRange;
    @ApiModelProperty(value = "入住率环比涨幅")
    private Double occupancyMonthRange;
    @ApiModelProperty(value = "条目费用信息")
    private List<CostItemVO> itemsCostInfo;
}
