package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.DateGraphItemVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.HotelRankVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("酒店项目指标条目")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectKpiItem extends HotelRankVO {
    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "达标率")
    private Double controlRates;

    @ApiModelProperty(value = "图表信息")
    private List<DateGraphItemVO> detailInfo;

    @ApiModelProperty(value = "项目id")
    private String projectId;

}
