package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.CostItemVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.HotelPowerConsumptionItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@Data
@ApiModel("酒店项目用电量信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectPowerConsumptionOutline {
    @ApiModelProperty(value = "项目名称")
    private String projectName;
    @ApiModelProperty(value = "本月总耗电量")
    private Double consumptionCurrentMonth;
    @ApiModelProperty(value = "同等碳排放量")
    private Double tce;
    @ApiModelProperty(value = "单位建筑面积能耗")
    private Double consumptionPerSqm;
    @ApiModelProperty(value = "总建筑面积")
    private Double overallFloorage;
    @ApiModelProperty(value = "去年同期耗电量")
    private Double consumptionLastYear;
    @ApiModelProperty(value = "环比涨幅")
    private Double consumptionChainRange;
    @ApiModelProperty(value = "月同比涨幅")
    private Double consumptionSameTimeRange;
    @ApiModelProperty(value = "条目信息")
    private List<HotelPowerConsumptionItem> detailInfo;
//    private List<CostItemVO> detailInfo;
}
