package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.HotelPowerConsumptionItem;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.HotelPowerPublicConsumptionItem;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.HotelRankVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.With;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("酒店项目公区用电量信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectPublicPowerConsumption extends HotelRankVO {
    @ApiModelProperty(value = "本月总耗电量")
    private Double consumptionCurrentMonth;
    @ApiModelProperty(value = "本月单位建筑面积能耗")
    private Double consumptionPerSqmCurrentMonth;
    @ApiModelProperty(value = "费用环比涨幅")
    private Double consumptionMonthRange;
    @ApiModelProperty(value = "本年单位建筑面积能耗")
    private Double consumptionPerSqmCurrentYear;
    @ApiModelProperty(value = "去年同期单位建筑面积能耗")
    private Double consumptionPerSqmLastYear;
    @ApiModelProperty(value = "能耗同比涨幅")
    private Double consumptionYearRange;
    @ApiModelProperty(value = "国标引导值")
    private String guideValue;

    @ApiModelProperty(value = "条目信息")
    private List<HotelPowerPublicConsumptionItem> itemsInfo;
}
