package com.persagy.apm.energy.report.monthly.detail.hotel.project.service;

import com.persagy.apm.energy.report.monthly.detail.common.service.IReportPowerInfoService;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.HotelProjectPowerConsumptionOutline;

import java.util.Date;
import java.util.List;

/**
 * 酒店项目报告用电量信息概要服务接口
 *
 * @author lixing
 * @version V1.0 2021/5/30 10:25 下午
 **/
public interface IHotelProjectReportPowerInfoOutlineService extends IReportPowerInfoService {
    /**
     * 获取用电量信息概要
     *
     * @param projectId      项目id
     * @param reportMonth    报告月份
     * @param functionIdList 概要功能点列表
     * @return 用电量信息概要
     * @author lixing
     * @version V1.0 2021/6/10 2:35 下午
     */
    HotelProjectPowerConsumptionOutline getConsumptionOutline(
            String projectId, Date reportMonth, List<String> functionIdList);
}
