package com.persagy.apm.energy.report.monthly.detail.hotel.project.service;

import com.persagy.apm.energy.report.monthly.detail.common.service.IReportPowerInfoService;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.HotelProjectPowerConsumptionOutline;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.HotelProjectPublicPowerConsumption;
import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;

import java.util.Date;
import java.util.List;

/**
 * 酒店项目报告公区用电量信息服务接口
 *
 * @author lixing
 * @version V1.0 2021/5/30 10:25 下午
 **/
public interface IHotelProjectReportPublicPowerInfoService extends IReportPowerInfoService {

    /**
     * 获取公区用电量信息
     *
     * @param projectId 项目id
     * @param reportMonth 报告月份
     * @param functionIdList 公区功能点列表
     * @return 公区用电量信息
     * @author lixing
     * @version V1.0 2021/6/10 2:35 下午
     */
    HotelProjectPublicPowerConsumption getPublicConsumption(String projectId, Date reportMonth, List<String> functionIdList);

}
