package com.persagy.apm.energy.report.monthly.detail.hotel.project.service;

import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.*;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.ResponseReportHotelProjectDetailItemVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 商业报告详情(ReportHotelProjectDetail) service接口
 *
 * @author lixing
 * @version V1.0 2021-06-07 09:42:57
 */
public interface IReportHotelProjectDetailService {

    /**
     * 创建商业报告详情
     *
     * @param addReportHotelProjectDetailDTO addDTO
     * @return 商业报告详情主键
     * @author lixing
     * @version V1.0 2021-06-07 09:42:57
     */
    String createReportHotelProjectDetail(AddReportHotelProjectDetailDTO addReportHotelProjectDetailDTO);

    /**
     * 商业报告详情详情
     *
     * @param id 主键
     * @return 商业报告详情do对象
     * @author lixing
     * @version V1.0 2021-06-07 09:42:57
     */
    ReportHotelProjectDetail getReportHotelProjectDetail(String id);

    /**
     * 更新商业报告详情
     *
     * @param updateReportHotelProjectDetailDTO updateDTO
     * @author lixing
     * @version V1.0 2021-06-07 09:42:57
     */
    void updateReportHotelProjectDetail(UpdateReportHotelProjectDetailDTO updateReportHotelProjectDetailDTO);

    /**
     * 删除商业报告详情
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-06-07 09:42:57
     */
    void deleteReportHotelProjectDetail(String id);

    /**
     * 查询商业报告详情
     *
     * @param queryReportHotelProjectDetailDTO queryDTO
     * @return List<ReportHotelProjectDetail>
     * @author lixing
     * @version V1.0 2021-06-07 09:42:57
     */
    List<ReportHotelProjectDetail> queryReportHotelProjectDetailList(QueryReportHotelProjectDetailDTO queryReportHotelProjectDetailDTO);

    /**
     * 分页查询商业报告详情
     *
     * @param pageQueryReportHotelProjectDetailDTO pageQueryDTO
     * @return IPage<ReportHotelProjectDetail>
     * @author lixing
     * @version V1.0 2021-06-07 09:42:57
     */
    IPage<ReportHotelProjectDetail> pageQueryReportHotelProjectDetail(PageQueryReportHotelProjectDetailDTO pageQueryReportHotelProjectDetailDTO);

    /**
     * 获取酒店项目报告详情
     *
     * @param reportOutlineId 报告概要id
     * @return 酒店项目报告详情
     * @author lixing
     * @version V1.0 2021/6/7 11:45 上午
     */
    ResponseReportHotelProjectDetailItemVO getReportHotelProjectDetailByReportOutline(String reportOutlineId);
}
