package com.persagy.apm.energy.report.monthly.functionvalue.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 能耗报告信息点取值(FunctionValue)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:07:14
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "能耗报告信息点取值")
public class FunctionValue extends AuditableEntity<FunctionValue> implements Serializable {
    private static final long serialVersionUID = 385081831170233419L;

    @ApiModelProperty("信息点id")
    private String functionId;

    @ApiModelProperty("项目id")
    private String projectId;

    @ApiModelProperty("数据时间")
    private Date dataTime;

    @ApiModelProperty("信息点的值")
    private String value;


    public static String PROP_FUNCTION_ID = "function_id";
    public static String PROP_PROJECT_ID = "project_id";
    public static String PROP_DATA_TIME = "data_time";
    public static String PROP_VALUE = "value";

}
