package com.persagy.apm.energy.report.monthly.outline.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.common.model.dto.EnumQueryDTO;
import com.persagy.apm.common.model.vo.EnumVO;
import com.persagy.apm.common.response.CommonResult;
import com.persagy.apm.common.response.PageList;
import com.persagy.apm.common.utils.ResultHelper;
import com.persagy.apm.energy.report.monthly.outline.model.ConvertReportOutlineTool;
import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;
import com.persagy.apm.energy.report.monthly.outline.model.dto.PageQueryReportOutlineDTO;
import com.persagy.apm.energy.report.monthly.outline.model.vo.ResponseReportOutlineListItemVO;
import com.persagy.apm.energy.report.monthly.outline.service.IReportOutlineEnumService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.assertj.core.util.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/5/17 10:57 上午
 **/
@RestController
@Validated
@RequestMapping("/reportOutlines/enums")
@Api(tags = "报告枚举")
public class ReportOutLineEnumController {
    @Autowired
    IReportOutlineEnumService reportOutLineEnumService;

    @PostMapping("/reportState")
    @ApiOperation(value="报告状态")
    public CommonResult<PageList<EnumVO>> queryReportStateEnum() {
        List<EnumVO> resultList = reportOutLineEnumService.queryReportStateEnum();
        return ResultHelper.multi(resultList);
    }
}
