package com.persagy.apm.energy.report.monthly.outline.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 报告概要(ReportOutline)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-17 11:09:38
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报告概要")
@TableName(autoResultMap = true)
public class ReportOutline extends AuditableEntity<ReportOutline> implements Serializable {
    private static final long serialVersionUID = -86078914254018057L;

    @ApiModelProperty("报告名称")
    private String name;

    @ApiModelProperty("报告月份")
    private Date reportMonth;

    @ApiModelProperty("报告所属")
    private String belong;

    @ApiModelProperty("报告类型")
    private String reportTypeId;

    @ApiModelProperty("报告详情id")
    private String detailId;

    @ApiModelProperty("报告状态")
    private String status;

    @ApiModelProperty("备注")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private ReportOutlineRemark remark;


    public static String PROP_NAME = "name";
    public static String PROP_REPORT_MONTH = "report_month";
    public static String PROP_BELONG = "belong";
    public static String PROP_REPORT_TYPE_ID = "reportTypeId";
    public static String PROP_DETAIL_ID = "detail_id";
    public static String PROP_STATUS = "status";
    public static String PROP_REMARK = "remark";

}
