package com.persagy.apm.energy.report.monthly.outline.model.dto;

import com.persagy.apm.energy.report.monthly.outline.model.ReportOutlineRemark;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:09:38
 */
@Data
@ApiModel(value = "更新报告概要入参")
public class UpdateReportOutlineDTO {
    @ApiModelProperty(value = "报告id", required = true)
    @NotNull(message = "报告id不能为空")
    private String id;

    @ApiModelProperty(value = "报告名称", required = true)
    @NotNull(message = "报告名称不能为空")
    private String name;

    @ApiModelProperty(value = "报告日期", required = true)
    @NotNull(message = "报告日期不能为空")
    private Date date;

    @ApiModelProperty(value = "报告所属", required = true)
    @NotNull(message = "报告所属不能为空")
    private String belong;

    @ApiModelProperty(value = "报告类型", required = true)
    @NotNull(message = "报告类型不能为空")
    private String type;

    @ApiModelProperty(value = "报告详情id", required = true)
    @NotNull(message = "报告详情id不能为空")
    private String detailId;

    @ApiModelProperty(value = "报告状态", required = true)
    @NotNull(message = "报告状态不能为空")
    private Integer status;

    @ApiModelProperty(value = "备注", required = true)
    @NotNull(message = "备注不能为空")
    private ReportOutlineRemark remark;

}
