package com.persagy.apm.energy.report.monthly.outline.service.builder.business;

import com.persagy.apm.energy.report.monthly.detail.business.model.Platform;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.CostVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.PowerVO;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.*;
import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;
import com.persagy.apm.energy.report.monthly.outline.service.builder.common.IReportBuilder;

import java.util.List;

/**
 * 生成商业报告建造者接口
 *
 * @author lixing
 * @version V1.0 2021/5/30 10:26 下午
 **/
public interface IBusinessReportBuilder extends IReportBuilder {
    /**
     * 在营项目用电量信息
     *
     * @param reportOutline 报告outline对象
     * @return 在营项目用电量信息
     * @author lixing
     * @version V1.0 2021/5/31 4:21 下午
     */
    PowerVO getOpenPowerInfo(ReportOutline reportOutline);

    /**
     * 可同比项目用电量信息
     *
     * @param reportOutline 报告outline对象
     * @return 可同比项目用电量信息
     * @author lixing
     * @version V1.0 2021/5/31 4:21 下午
     */
    PowerVO getComparePowerInfo(ReportOutline reportOutline);

    /**
     * 在营项目费用信息
     *
     * @param reportOutline 报告outline对象
     * @return 在营项目费用信息
     * @author lixing
     * @version V1.0 2021/5/31 4:21 下午
     */
    CostVO getOpenCostInfo(ReportOutline reportOutline);

    /**
     * 可同比项目费用信息
     *
     * @param reportOutline 报告outline对象
     * @return 在营项目费用信息
     * @author lixing
     * @version V1.0 2021/5/31 4:21 下午
     */
    CostVO getCompareCostInfo(ReportOutline reportOutline);

    /**
     * 可同比项目费用信息
     *
     * @param reportOutline 报告outline对象
     * @return 在营项目费用信息
     * @author lixing
     * @version V1.0 2021/5/31 4:21 下午
     */
    List<Platform> getPlatforms(ReportOutline reportOutline);
}
