package com.persagy.apm.energy.report.monthly.outline.service.builder.common;

import com.persagy.apm.energy.report.monthly.detail.business.model.Platform;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.CostVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.PowerVO;
import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;

import java.util.List;

/**
 * 生成商业报告建造者接口
 *
 * @author lixing
 * @version V1.0 2021/5/30 10:26 下午
 **/
public interface IReportBuilder {
    /**
     * 生成报告详情
     *
     * @param reportOutline 报告outline对象
     * @return 是否生成成功
     * @author lixing
     * @version V1.0 2021/5/24 4:09 下午
     */
    boolean generateNewReportDetail(ReportOutline reportOutline);

    /**
     * 获取段落包含的分组列表
     *
     * @param reportTypeId 报告类型id
     * @param paragraph 段落
     * @return 段落包含的分组列表
     * @author lixing
     * @version V1.0 2021/6/7 11:17 上午
     */
    List<String> getGroupsByParagraph(String reportTypeId, String paragraph);

    /**
     * 获取段落包含的功能点列表
     *
     * @param reportTypeId 报告类型id
     * @param paragraph 段落
     * @return 段落包含的功能点列表
     * @author lixing
     * @version V1.0 2021/6/7 11:17 上午
     */
    List<String> getFunctionsByParagraph(String reportTypeId, String paragraph);
}
