package com.persagy.apm.energy.report.monthly.outline.service.builder.common;

import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;

/**
 * 生成商业报告建造者接口
 *
 * @author lixing
 * @version V1.0 2021/5/30 10:26 下午
 **/
public interface IReportGenerator {
    /**
     * 生成报告。建造方法
     *
     * @param reportOutline 报告outline对象
     * @author lixing
     * @version V1.0 2021/5/24 4:09 下午
     */
    void generateReport(ReportOutline reportOutline);

    /**
     * 删除之前的报告详情信息
     *
     * @param detailId 报告详情id
     * @author lixing
     * @version V1.0 2021/5/31 4:19
     */
    void deletePreviousReportDetail(String detailId);

    /**
     * 生成报告详情
     *
     * @param reportOutline 需要更新的报告概要
     * @return 是否生成成功
     * @author lixing
     * @version V1.0 2021/5/31 4:26 下午
     */
    boolean generateReportDetail(ReportOutline reportOutline);

    /**
     * 成功时更新报告概要
     *
     * @param reportOutline 需要更新的报告概要
     * @author lixing
     * @version V1.0 2021/5/31 4:26 下午
     */
    void updateReportOutlineInfoWhenSuccess(ReportOutline reportOutline);

    /**
     * 失败时更新报告概要
     *
     * @param reportOutline 需要更新的报告概要
     * @author lixing
     * @version V1.0 2021/5/31 4:26 下午
     */
    void updateReportOutlineInfoWhenFailure(ReportOutline reportOutline);
}
