package com.persagy.apm.energy.report.monthly.outline.service.builder.common.impl;

import com.persagy.apm.energy.report.monthly.detail.business.model.Platform;
import com.persagy.apm.energy.report.monthly.detail.business.model.dto.AddReportBusinessDetailDTO;
import com.persagy.apm.energy.report.monthly.detail.business.service.IBusinessReportCostInfoService;
import com.persagy.apm.energy.report.monthly.detail.business.service.IBusinessReportPlatformInfoService;
import com.persagy.apm.energy.report.monthly.detail.business.service.IBusinessReportPowerInfoService;
import com.persagy.apm.energy.report.monthly.detail.business.service.IReportBusinessDetailService;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.CostVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.PowerVO;
import com.persagy.apm.energy.report.monthly.detail.common.service.IReportDetailService;
import com.persagy.apm.energy.report.monthly.outline.constants.BusinessReportParagraphs;
import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;
import com.persagy.apm.energy.report.monthly.outline.service.builder.business.IBusinessReportBuilder;
import com.persagy.apm.energy.report.monthly.outline.service.builder.common.IReportBuilder;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.interceptor.TransactionAspectSupport;

import java.util.List;

/**
 * 商业项目报告建造者
 *
 * @author lixing
 * @version V1.0 2021/5/12 2:53 下午
 **/
@Component
@Slf4j
public class ReportBuilder implements IReportBuilder {
    @Autowired
    private IReportDetailService reportDetailService;

    @Override
    public boolean generateNewReportDetail(ReportOutline reportOutline) {
        // 在具体的子类中覆写实现
        return true;
    }

    @Override
    public List<String> getGroupsByParagraph(String reportTypeId, String paragraph) {
        return reportDetailService.getGroupsByParagraph(reportTypeId, paragraph);
    }

    @Override
    public List<String> getFunctionsByParagraph(String reportTypeId, String paragraph) {
        return reportDetailService.getFunctionsByParagraph(reportTypeId, paragraph);
    }
}
