package com.persagy.apm.energy.report.monthly.outline.service.builder.hotel;

import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo.HotelAreaPowerConsumptionOutline;
import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo.HotelAreaRemainProblem;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.*;
import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;
import com.persagy.apm.energy.report.monthly.outline.service.builder.common.IReportBuilder;

import java.util.List;

/**
 * 生成酒店区域报告建造者接口
 *
 * @author lixing
 * @version V1.0 2021/5/30 10:26 下午
 **/
public interface IHotelAreaReportBuilder extends IReportBuilder {
    /**
     * 报警处理信息
     *
     * @param reportOutline 报告outline对象
     * @return 报警处理信息
     * @author lixing
     * @version V1.0 2021/6/9 10:04 上午
     */
    List<HotelProjectAlarmDealInfo> getAlarmDealInfo(ReportOutline reportOutline);

    /**
     * 节能工单信息
     *
     * @param reportOutline 报告outline对象
     * @return 节能工单信息
     * @author lixing
     * @version V1.0 2021/6/9 10:04 上午
     */
    List<HotelProjectEnergyWorkerOrderBaseInfo> getEnergyWorkOrderInfo(ReportOutline reportOutline);

    /**
     * 用电量概述
     *
     * @param reportOutline 报告outline对象
     * @return 用电量概述
     * @author lixing
     * @version V1.0 2021/6/9 10:04 上午
     */
    List<HotelAreaPowerConsumptionOutline> getPowerUsageOutline(ReportOutline reportOutline);

    /**
     * 费用信息
     *
     * @param reportOutline 报告outline对象
     * @return 费用信息
     * @author lixing
     * @version V1.0 2021/6/9 10:04 上午
     */
    List<HotelProjectCostInfo> getCostInfo(ReportOutline reportOutline);

    /**
     * 平台运行信息
     *
     * @param reportOutline 报告outline对象
     * @return 平台运行信息
     * @author lixing
     * @version V1.0 2021/6/9 10:04 上午
     */
    List<HotelProjectMaintenanceBaseInfo> getPlatformRuntimeInfo(ReportOutline reportOutline);
}
