package com.persagy.apm.energy.report.workorder.model;

import com.alibaba.fastjson.annotation.JSONField;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

import java.util.List;
import java.util.Set;

@Document(indexName = "work_order", type = "work_order")
public class WorkOrder {
    //工单id
    @Id
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "order_id", alternateNames = {"order_id", "orderId"})
    private String orderId;
    //工单名称
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "wo_name", alternateNames = {"wo_name", "woName"})
    private String woName;
    //工单概述,保存工单时将事项名称连接起来的字符串，用"、"隔开
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "summary", alternateNames = {"summary"})
    private String summary;
    //项目id
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "project_id", alternateNames = {"project_id"})
    private String projectId;
    //工单状态 2-抢单中 3-指派中 4-未开始 5-执行中 6-审核中 7-延期完成 8-正常完成 9-异常结束 10-已删除
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "order_state", alternateNames = {"order_state"})
    private String orderState;
    //工作类型 1-维保 2-维修 3-巡检 4-运行
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "work_type", alternateNames = {"work_type"})
    private String workType;
    //工单类型,FM配置->工单配置中的工单类型
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "order_type", alternateNames = {"order_type"})
    private String orderType;
    //时间类型 temp-临时、plan-计划
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "execute_type", alternateNames = {"execute_type"})
    private String executeType;
    //工单来源类型,1-正常创建 2-工单计划 3-报修转工单
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "order_from_type", alternateNames = {"order_from_type"})
    private String orderFromType;
    //工单来源id，工单计划id或者报修id
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "order_from_id", alternateNames = {"order_from_id"})
    private String orderFromId;
    //创建人id
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "creator_id", alternateNames = {"creator_id"})
    private String creatorId;
    //专业过滤
    @Field(type = FieldType.Text, store = true, analyzer = "ik_max_word", searchAnalyzer = "ik_max_word", fielddata = true)
    @JSONField(name = "domain_requires", alternateNames = {"domain_requires"})
    private List<String> domainRequires;
    //创建时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "create_time", alternateNames = {"create_time"})
    private String createTime;
    //创建时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "create_time_year", alternateNames = {"create_time_year"})
    private String createTimeYear;
    //创建时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "create_time_month", alternateNames = {"create_time_month"})
    private String createTimeMonth;
    //创建时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "create_time_day", alternateNames = {"create_time_day"})
    private String createTimeDay;
    //创建时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "create_time_hour", alternateNames = {"create_time_hour"})
    private String createTimeHour;
    //要求结束时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "ask_end_time", alternateNames = {"ask_end_time"})
    private String askEndTime;
    //要求结束时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "ask_end_time_year", alternateNames = {"ask_end_time_year"})
    private String askEndTimeYear;
    //要求结束时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "ask_end_time_month", alternateNames = {"ask_end_time_month"})
    private String askEndTimeMonth;
    //要求结束时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "ask_end_time_day", alternateNames = {"ask_end_time_day"})
    private String askEndTimeDay;
    //要求结束时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "ask_end_time_hour", alternateNames = {"ask_end_time_hour"})
    private String askEndTimeHour;
    //实际完成时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "real_finish_time", alternateNames = {"real_finish_time"})
    private String realFinishTime;
    //实际完成时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "real_finish_time_year", alternateNames = {"real_finish_time_year"})
    private String realFinishTimeYear;
    //实际完成时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "real_finish_time_month", alternateNames = {"real_finish_time_month"})
    private String realFinishTimeMonth;
    //实际完成时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "real_finish_time_day", alternateNames = {"real_finish_time_day"})
    private String realFinishTimeDay;
    //实际完成时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "real_finish_time_hour", alternateNames = {"real_finish_time_hour"})
    private String realFinishTimeHour;
    //关闭时间,yyyyMMddhhmmss
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "close_time", alternateNames = {"close_time"})
    private String closeTime;
    //所需工具名称数组
    @Field(type = FieldType.Text, store = true, analyzer = "ik_max_word", searchAnalyzer = "ik_max_word", fielddata = true)
    @JSONField(name = "required_tools", alternateNames = {"required_tools"})
    private Set<String> requiredTools;
    //所需物料
    @Field(type = FieldType.Text, store = true, analyzer = "ik_max_word", searchAnalyzer = "ik_max_word", fielddata = true)
    @JSONField(name = "required_material", alternateNames = {"required_material"})
    private Set<String> requiredMaterial;
    //是否抢单 true-是 false-否
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "robbing_flag", alternateNames = {"robbing_flag"})
    private boolean robbingFlag;
    //是否申请延期 true-是 false-否
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "applyDelay_flag", alternateNames = {"applyDelay_flag"})
    private boolean applyDelayFlag;
    //是否申请换人 true-是 false-否
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "applyReplacePeople_flag", alternateNames = {"applyReplacePeople_flag"})
    private boolean applyReplacePeopleFlag;
    //是否申请加人 true-是 false-否
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "applyAddPeople_flag", alternateNames = {"applyAddPeople_flag"})
    private boolean applyAddPeopleFlag;
    //是否抢单转派单 true-是 false-否
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "robbingToAssign_flag", alternateNames = {"robbingToAssign_flag", "robbingToAssignFlag"})
    private boolean robbingToAssignFlag;
    //工单相关对象id
    @Field(type = FieldType.Text, store = true, analyzer = "ik_max_word", searchAnalyzer = "ik_max_word", fielddata = true)
    @JSONField(name = "obj_ids", alternateNames = {"obj_ids", "objIds"})
    private Set<String> objIds;
    //工单相关对象大类id
    @Field(type = FieldType.Text, store = true, analyzer = "ik_max_word", searchAnalyzer = "ik_max_word", fielddata = true)
    @JSONField(name = "obj_class_ids", alternateNames = {"obj_class_ids", "objClassIds"})
    private Set<String> objClassIds;
    //执行人id(路由表中已接单的执行人)
    @Field(type = FieldType.Text, store = true, analyzer = "ik_max_word", searchAnalyzer = "ik_max_word", fielddata = true)
    @JSONField(name = "executor", alternateNames = {"executor", "executor"})
    private Set<String> executor;
    //参与人id(路由表中已接单的人)
    @Field(type = FieldType.Text, store = true, analyzer = "ik_max_word", searchAnalyzer = "ik_max_word", fielddata = true)
    @JSONField(name = "participant_ids", alternateNames = {"participant_ids", "participantIds"})
    private Set<String> participantIds;
    //漏检对象个数
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "undetected_obj_count", alternateNames = {"undetected_obj_count", "undetectedObjCount"})
    private String undetectedObjCount;
    //漏检对象个数
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "complete_obj_count", alternateNames = {"complete_obj_count", "completeObjCount"})
    private String completeObjCount;
    //有无异常,0-无异常,1-有异常
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "info_point_flag", alternateNames = {"info_point_flag", "infoPointFlag"})
    private String infoPointFlag;
    //有无漏检,0-无漏检,1-有漏检
    @Field(type = FieldType.Keyword, store = true)
    @JSONField(name = "missed_detection_flag", alternateNames = {"missed_detection_flag", "missedDetectionFlag"})
    private String missedDetectionFlag;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getWoName() {
        return woName;
    }

    public void setWoName(String woName) {
        this.woName = woName;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getOrderState() {
        return orderState;
    }

    public void setOrderState(String orderState) {
        this.orderState = orderState;
    }

    public String getWorkType() {
        return workType;
    }

    public void setWorkType(String workType) {
        this.workType = workType;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getExecuteType() {
        return executeType;
    }

    public void setExecuteType(String executeType) {
        this.executeType = executeType;
    }

    public String getOrderFromType() {
        return orderFromType;
    }

    public void setOrderFromType(String orderFromType) {
        this.orderFromType = orderFromType;
    }

    public String getOrderFromId() {
        return orderFromId;
    }

    public void setOrderFromId(String orderFromId) {
        this.orderFromId = orderFromId;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public List<String> getDomainRequires() {
        return domainRequires;
    }

    public void setDomainRequires(List<String> domainRequires) {
        this.domainRequires = domainRequires;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateTimeYear() {
        return createTimeYear;
    }

    public void setCreateTimeYear(String createTimeYear) {
        this.createTimeYear = createTimeYear;
    }

    public String getCreateTimeMonth() {
        return createTimeMonth;
    }

    public void setCreateTimeMonth(String createTimeMonth) {
        this.createTimeMonth = createTimeMonth;
    }

    public String getCreateTimeDay() {
        return createTimeDay;
    }

    public void setCreateTimeDay(String createTimeDay) {
        this.createTimeDay = createTimeDay;
    }

    public String getCreateTimeHour() {
        return createTimeHour;
    }

    public void setCreateTimeHour(String createTimeHour) {
        this.createTimeHour = createTimeHour;
    }

    public String getAskEndTime() {
        return askEndTime;
    }

    public void setAskEndTime(String askEndTime) {
        this.askEndTime = askEndTime;
    }

    public String getAskEndTimeYear() {
        return askEndTimeYear;
    }

    public void setAskEndTimeYear(String askEndTimeYear) {
        this.askEndTimeYear = askEndTimeYear;
    }

    public String getAskEndTimeMonth() {
        return askEndTimeMonth;
    }

    public void setAskEndTimeMonth(String askEndTimeMonth) {
        this.askEndTimeMonth = askEndTimeMonth;
    }

    public String getAskEndTimeDay() {
        return askEndTimeDay;
    }

    public void setAskEndTimeDay(String askEndTimeDay) {
        this.askEndTimeDay = askEndTimeDay;
    }

    public String getAskEndTimeHour() {
        return askEndTimeHour;
    }

    public void setAskEndTimeHour(String askEndTimeHour) {
        this.askEndTimeHour = askEndTimeHour;
    }

    public String getRealFinishTime() {
        return realFinishTime;
    }

    public void setRealFinishTime(String realFinishTime) {
        this.realFinishTime = realFinishTime;
    }

    public String getRealFinishTimeYear() {
        return realFinishTimeYear;
    }

    public void setRealFinishTimeYear(String realFinishTimeYear) {
        this.realFinishTimeYear = realFinishTimeYear;
    }

    public String getRealFinishTimeMonth() {
        return realFinishTimeMonth;
    }

    public void setRealFinishTimeMonth(String realFinishTimeMonth) {
        this.realFinishTimeMonth = realFinishTimeMonth;
    }

    public String getRealFinishTimeDay() {
        return realFinishTimeDay;
    }

    public void setRealFinishTimeDay(String realFinishTimeDay) {
        this.realFinishTimeDay = realFinishTimeDay;
    }

    public String getRealFinishTimeHour() {
        return realFinishTimeHour;
    }

    public void setRealFinishTimeHour(String realFinishTimeHour) {
        this.realFinishTimeHour = realFinishTimeHour;
    }

    public String getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(String closeTime) {
        this.closeTime = closeTime;
    }

    public Set<String> getRequiredTools() {
        return requiredTools;
    }

    public void setRequiredTools(Set<String> requiredTools) {
        this.requiredTools = requiredTools;
    }

    public Set<String> getRequiredMaterial() {
        return requiredMaterial;
    }

    public void setRequiredMaterial(Set<String> requiredMaterial) {
        this.requiredMaterial = requiredMaterial;
    }

    public boolean isRobbingFlag() {
        return robbingFlag;
    }

    public void setRobbingFlag(boolean robbingFlag) {
        this.robbingFlag = robbingFlag;
    }

    public boolean isApplyDelayFlag() {
        return applyDelayFlag;
    }

    public void setApplyDelayFlag(boolean applyDelayFlag) {
        this.applyDelayFlag = applyDelayFlag;
    }

    public boolean isApplyReplacePeopleFlag() {
        return applyReplacePeopleFlag;
    }

    public void setApplyReplacePeopleFlag(boolean applyReplacePeopleFlag) {
        this.applyReplacePeopleFlag = applyReplacePeopleFlag;
    }

    public boolean isApplyAddPeopleFlag() {
        return applyAddPeopleFlag;
    }

    public void setApplyAddPeopleFlag(boolean applyAddPeopleFlag) {
        this.applyAddPeopleFlag = applyAddPeopleFlag;
    }

    public boolean isRobbingToAssignFlag() {
        return robbingToAssignFlag;
    }

    public void setRobbingToAssignFlag(boolean robbingToAssignFlag) {
        this.robbingToAssignFlag = robbingToAssignFlag;
    }

    public Set<String> getObjIds() {
        return objIds;
    }

    public void setObjIds(Set<String> objIds) {
        this.objIds = objIds;
    }

    public Set<String> getObjClassIds() {
        return objClassIds;
    }

    public void setObjClassIds(Set<String> objClassIds) {
        this.objClassIds = objClassIds;
    }

    public Set<String> getExecutor() {
        return executor;
    }

    public void setExecutor(Set<String> executor) {
        this.executor = executor;
    }

    public Set<String> getParticipantIds() {
        return participantIds;
    }

    public void setParticipantIds(Set<String> participantIds) {
        this.participantIds = participantIds;
    }

    public String getUndetectedObjCount() {
        return undetectedObjCount;
    }

    public void setUndetectedObjCount(String undetectedObjCount) {
        this.undetectedObjCount = undetectedObjCount;
    }

    public String getCompleteObjCount() {
        return completeObjCount;
    }

    public void setCompleteObjCount(String completeObjCount) {
        this.completeObjCount = completeObjCount;
    }

    public String getInfoPointFlag() {
        return infoPointFlag;
    }

    public void setInfoPointFlag(String infoPointFlag) {
        this.infoPointFlag = infoPointFlag;
    }

    public String getMissedDetectionFlag() {
        return missedDetectionFlag;
    }

    public void setMissedDetectionFlag(String missedDetectionFlag) {
        this.missedDetectionFlag = missedDetectionFlag;
    }
}
