package com.persagy.apm.energy.report.workorder.service;

import com.persagy.apm.energy.report.workorder.model.WorkOrder;
import io.swagger.annotations.Api;

import java.util.Date;
import java.util.List;

@Api(value = "工单管理service接口")
public interface IWorkOrderWebService {

    /**
     * 根据查询类型获取工单数据信息
     *
     * @param projectId  项目id
     * @param reportDate 报告日期
     * @param timeType   查询类型
     * @param orderState 工单状态
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    List<WorkOrder> getWorkOrderNumByParam(String projectId, Date reportDate, String timeType, String orderType, String orderState);
}
